Name:		terminator
Version:	1.0
Release:	%mkrel 1
Summary:	A simple way to run multiple terminals in a single window
License:	GPLv2
Group:		Terminals
Url:		http://gnometerminator.blogspot.com/p/introduction.html
Source0:	https://launchpad.net/terminator/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		terminator-1.0-without-icon-cache.patch
Patch1:		terminator-1.0-desktop.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	pkgconfig(python2)

Requires:	python-vte
Requires:	pygtk2.0
Requires:	gnome-python-gnomevfs
Requires:	python-psutil
Recommends:	python-keybinder
Recommends:	python-notify

%description
Terminator is an attempt to maximise useful space on a given desktop
for terminals. It is a simple Python script that places multiple vte
widgets (the same used by gnome-terminal) in a window. That's the same
widget used by gnome-terminal.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%py2_build

%install
%py2_install

%find_lang %{name}

%files -f %{name}.lang
%doc README COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}.wrapper
%{_bindir}/remotinator
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/%{name}*.svg
%{_iconsdir}/HighContrast/*/*/*.png
%{_iconsdir}/HighContrast/*/*/%{name}*.svg
%{python2_sitelib}/Terminator-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/terminatorlib/
%{_mandir}/man1/%{name}.*
%{_mandir}/man5/%{name}_config.*


%changelog
* Fri Nov 25 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1070130
- new version: 1.0
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 0.98-3.mga6
+ Revision: 971497
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 daviddavid <daviddavid> 0.98-2.mga6
+ Revision: 891676
- apply patch from upstream for fixing RHBZ#1268289 and add dependency to python-psutils

* Wed Sep 09 2015 daviddavid <daviddavid> 0.98-1.mga6
+ Revision: 875312
- new version: 0.98
- update URL and Source URL
- use python2 macros
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.97-7.mga5
+ Revision: 743753
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.97-6.mga5
+ Revision: 730600
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.97-5.mga5
+ Revision: 689830
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.97-3.mga4
+ Revision: 544608
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.97-2.mga4
+ Revision: 499908
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu May 23 2013 kharec <kharec> 0.97-1.mga4
+ Revision: 425170
- update to 0.97

* Mon Jan 14 2013 umeabot <umeabot> 0.96-4.mga3
+ Revision: 384377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 lebedov <lebedov> 0.96-3.mga2
+ Revision: 204275
- Suggest python-keybinder and python-notify (#4395).
  Correct webpage URI.

* Sun Jan 22 2012 lebedov <lebedov> 0.96-2.mga2
+ Revision: 199407
- Require pygtk2.0 on installation (#3612).

* Tue Oct 04 2011 lebedov <lebedov> 0.96-1.mga2
+ Revision: 151431
- Update to 0.96.

* Thu Mar 03 2011 saispo <saispo> 0.95-1.mga1
+ Revision: 63349
- imported package terminator

